net.sourceforge.pmd.lang.ecmascript.ast

## Class EcmascriptParserVisitorAdapter

- java.lang.Object
- - net.sourceforge.pmd.lang.ecmascript.ast.EcmascriptParserVisitorAdapter

- All Implemented Interfaces:
    EcmascriptParserVisitor

      public class EcmascriptParserVisitorAdapter
      extends Object
      implements EcmascriptParserVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EcmascriptParserVisitorAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `visit(ASTArrayComprehensionLoop node, Object data)`
    `Object` | `visit(ASTArrayComprehension node, Object data)`
    `Object` | `visit(ASTArrayLiteral node, Object data)`
    `Object` | `visit(ASTAssignment node, Object data)`
    `Object` | `visit(ASTAstRoot node, Object data)`
    `Object` | `visit(ASTBlock node, Object data)`
    `Object` | `visit(ASTBreakStatement node, Object data)`
    `Object` | `visit(ASTCatchClause node, Object data)`
    `Object` | `visit(ASTComment node, Object data)`
    `Object` | `visit(ASTConditionalExpression node, Object data)`
    `Object` | `visit(ASTContinueStatement node, Object data)`
    `Object` | `visit(ASTDoLoop node, Object data)`
    `Object` | `visit(ASTElementGet node, Object data)`
    `Object` | `visit(ASTEmptyExpression node, Object data)`
    `Object` | `visit(ASTExpressionStatement node, Object data)`
    `Object` | `visit(ASTForInLoop node, Object data)`
    `Object` | `visit(ASTForLoop node, Object data)`
    `Object` | `visit(ASTFunctionCall node, Object data)`
    `Object` | `visit(ASTFunctionNode node, Object data)`
    `Object` | `visit(ASTIfStatement node, Object data)`
    `Object` | `visit(ASTInfixExpression node, Object data)`
    `Object` | `visit(ASTKeywordLiteral node, Object data)`
    `Object` | `visit(ASTLabeledStatement node, Object data)`
    `Object` | `visit(ASTLabel node, Object data)`
    `Object` | `visit(ASTLetNode node, Object data)`
    `Object` | `visit(ASTName node, Object data)`
    `Object` | `visit(ASTNewExpression node, Object data)`
    `Object` | `visit(ASTNumberLiteral node, Object data)`
    `Object` | `visit(ASTObjectLiteral node, Object data)`
    `Object` | `visit(ASTObjectProperty node, Object data)`
    `Object` | `visit(ASTParenthesizedExpression node, Object data)`
    `Object` | `visit(ASTPropertyGet node, Object data)`
    `Object` | `visit(ASTRegExpLiteral node, Object data)`
    `Object` | `visit(ASTReturnStatement node, Object data)`
    `Object` | `visit(ASTScope node, Object data)`
    `Object` | `visit(ASTStringLiteral node, Object data)`
    `Object` | `visit(ASTSwitchCase node, Object data)`
    `Object` | `visit(ASTSwitchStatement node, Object data)`
    `Object` | `visit(ASTThrowStatement node, Object data)`
    `Object` | `visit(ASTTryStatement node, Object data)`
    `Object` | `visit(ASTUnaryExpression node, Object data)`
    `Object` | `visit(ASTVariableDeclaration node, Object data)`
    `Object` | `visit(ASTVariableInitializer node, Object data)`
    `Object` | `visit(ASTWhileLoop node, Object data)`
    `Object` | `visit(ASTWithStatement node, Object data)`
    `Object` | `visit(ASTXmlDotQuery node, Object data)`
    `Object` | `visit(ASTXmlExpression node, Object data)`
    `Object` | `visit(ASTXmlMemberGet node, Object data)`
    `Object` | `visit(ASTXmlString node, Object data)`
    `Object` | `visit(EcmascriptNode node, Object data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EcmascriptParserVisitorAdapter

          public EcmascriptParserVisitorAdapter()

  - ### Method Detail

    - #### visit

          public Object visit(EcmascriptNode node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTArrayComprehension node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTArrayComprehensionLoop node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTArrayLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTAssignment node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTAstRoot node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTBlock node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTBreakStatement node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTCatchClause node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTComment node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTConditionalExpression node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTContinueStatement node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTDoLoop node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTElementGet node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTEmptyExpression node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTExpressionStatement node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTForInLoop node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTForLoop node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTFunctionCall node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTFunctionNode node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTIfStatement node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTInfixExpression node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTKeywordLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTLabel node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTLabeledStatement node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTLetNode node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTName node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTNewExpression node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTNumberLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTObjectLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTObjectProperty node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTParenthesizedExpression node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTPropertyGet node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTRegExpLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTReturnStatement node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTScope node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTStringLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTSwitchCase node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTSwitchStatement node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTThrowStatement node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTTryStatement node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTUnaryExpression node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTVariableDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTVariableInitializer node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTWhileLoop node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTWithStatement node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTXmlDotQuery node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTXmlExpression node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTXmlMemberGet node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

    - #### visit

          public Object visit(ASTXmlString node,
                     Object data)

      Specified by:
        `visit` in interface `EcmascriptParserVisitor`

Copyright © 2002-2013 InfoEther. All Rights Reserved.